<?php

namespace Litecms\Profile1\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProfileTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Profile1\Models\Profile $profile)
    {
        return [
            'id'                => $profile->getRouteKey(),
            'key'               => [
                'public'    => $profile->getPublicKey(),
                'route'     => $profile->getRouteKey(),
            ], 
            'name'              => $profile->name,
            'image'             => $profile->image,
            'url'               => [
                'public'    => trans_url('profile1/'.$profile->getPublicKey()),
                'user'      => guard_url('profile1/profile/'.$profile->getRouteKey()),
            ], 
            'status'            => trans('app.'.$profile->status),
            'created_at'        => format_date($profile->created_at),
            'updated_at'        => format_date($profile->updated_at),
        ];
    }
}